org.apache.flume.channel.file.proto

## Interface ProtosFactory.FlumeEventOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.FlumeEvent, ProtosFactory.FlumeEvent.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.FlumeEventOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getBody()` `required bytes body = 2;`
    `ProtosFactory.FlumeEventHeader` | `getHeaders(int index)` `repeated .FlumeEventHeader headers = 1;`
    `int` | `getHeadersCount()` `repeated .FlumeEventHeader headers = 1;`
    `List<ProtosFactory.FlumeEventHeader>` | `getHeadersList()` `repeated .FlumeEventHeader headers = 1;`
    `ProtosFactory.FlumeEventHeaderOrBuilder` | `getHeadersOrBuilder(int index)` `repeated .FlumeEventHeader headers = 1;`
    `List<? extends ProtosFactory.FlumeEventHeaderOrBuilder>` | `getHeadersOrBuilderList()` `repeated .FlumeEventHeader headers = 1;`
    `boolean` | `hasBody()` `required bytes body = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getHeadersList

          List<ProtosFactory.FlumeEventHeader> getHeadersList()

      `repeated .FlumeEventHeader headers = 1;`

    - #### getHeaders

          ProtosFactory.FlumeEventHeader getHeaders(int index)

      `repeated .FlumeEventHeader headers = 1;`

    - #### getHeadersCount

          int getHeadersCount()

      `repeated .FlumeEventHeader headers = 1;`

    - #### getHeadersOrBuilderList

          List<? extends ProtosFactory.FlumeEventHeaderOrBuilder> getHeadersOrBuilderList()

      `repeated .FlumeEventHeader headers = 1;`

    - #### getHeadersOrBuilder

          ProtosFactory.FlumeEventHeaderOrBuilder getHeadersOrBuilder(int index)

      `repeated .FlumeEventHeader headers = 1;`

    - #### hasBody

          boolean hasBody()

      `required bytes body = 2;`

    - #### getBody

          com.google.protobuf.ByteString getBody()

      `required bytes body = 2;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.